Bug 106654 - [PATCH] Handspring Treo 600 support
[PATCH] Handspring Treo 600 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-09 00:23 EDT by Dax Kelson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-01 17:29:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to visor.c and visor.h to add Handspring Treo600 ids (1.55 KB, patch)
2003-10-09 02:33 EDT, Dax Kelson
no flags Details | Diff

  None (edit)
Description Dax Kelson 2003-10-09 00:23:10 EDT
Description of problem:

I just got a new Handspring Treo 600 PalmOS/Cellphone combo. Drinks on me if
Fedora 1.0 supports my new toy. :)

Here is a patch for the visor driver that adds support. I've submitted the patch
upstream (Greg KH) as well.

Patched files:

/usr/src/linux-2.4/drivers/usb/serial/visor.h
/usr/src/linux-2.4/drivers/usb/serial/visor.c

--- visor.c-treo600     2003-10-08 22:17:47.000000000 -0600
+++ visor.c     2003-10-08 21:57:48.000000000 -0600
@@ -195,6 +195,7 @@
 static struct usb_device_id id_table [] = {
        { USB_DEVICE(HANDSPRING_VENDOR_ID, HANDSPRING_VISOR_ID) },
        { USB_DEVICE(HANDSPRING_VENDOR_ID, HANDSPRING_TREO_ID) },
+       { USB_DEVICE(HANDSPRING_VENDOR_ID, HANDSPRING_TREO600_ID) },
        { USB_DEVICE(PALM_VENDOR_ID, PALM_M500_ID) },
        { USB_DEVICE(PALM_VENDOR_ID, PALM_M505_ID) },
        { USB_DEVICE(PALM_VENDOR_ID, PALM_M515_ID) },
@@ -222,6 +223,7 @@
 static __devinitdata struct usb_device_id id_table_combined [] = {
        { USB_DEVICE(HANDSPRING_VENDOR_ID, HANDSPRING_VISOR_ID) },
        { USB_DEVICE(HANDSPRING_VENDOR_ID, HANDSPRING_TREO_ID) },
+       { USB_DEVICE(HANDSPRING_VENDOR_ID, HANDSPRING_TREO600_ID) },
        { USB_DEVICE(PALM_VENDOR_ID, PALM_M500_ID) },
        { USB_DEVICE(PALM_VENDOR_ID, PALM_M505_ID) },
        { USB_DEVICE(PALM_VENDOR_ID, PALM_M515_ID) },

--- visor.h-treo600     2003-10-08 22:17:56.000000000 -0600
+++ visor.h     2003-10-08 21:57:11.000000000 -0600
@@ -20,6 +20,7 @@
 #define HANDSPRING_VENDOR_ID           0x082d
 #define HANDSPRING_VISOR_ID            0x0100
 #define HANDSPRING_TREO_ID             0x0200
+#define HANDSPRING_TREO600_ID          0x0300
  
 #define PALM_VENDOR_ID                 0x0830
 #define PALM_M500_ID                   0x0001
Comment 1 Dax Kelson 2003-10-09 02:33:06 EDT
Created attachment 95058 [details]
Patch to visor.c and visor.h to add Handspring Treo600 ids

Here is a real live patch.

This 3 line change is obviously correct. I've tested it and it works. Please
apply.

[dkelson@mentor dkelson]$ pilot-xfer -p /dev/ttyUSB1 -b treo600

   Port not connected, sleeping for 2 seconds, 4 retries..
   Listening to port: /dev/ttyUSB1
 
   Please press the HotSync button now... Connected
 
Backing up treo600/Batcam_Bcam_appl_a68k.prc
Backing up treo600/Blazer Cache.pdb
Backing up treo600/Confirmed Cert.pdb
Backing up treo600/Camera Canned Messages.pdb
Backing up treo600/City Time_CiAa_appl_a68k.prc
Backing up treo600/Web UserData.pdb
Backing up treo600/Datebk3HDB.pdb
Backing up treo600/DefaultHelperDB.pdb
Backing up treo600/SMS Messages.pdb
Backing up treo600/AddressDB.pdb
Backing up treo600/DatebookDB.pdb
Backing up treo600/MemoDB.pdb
Backing up treo600/ConnectionMgr50DB.pdb
Backing up treo600/NetworkDB.pdb
Backing up treo600/ToDoDB.pdb
Backing up treo600/TrioDB3.pdb
Backing up treo600/Web Internal History.pdb
Backing up treo600/ToneHandler_HsAH_appl_a68k.prc
Backing up treo600/Activation_HsAc_appl_a68k.prc
Backing up treo600/Buttons_HsBt_panl_a68k.prc
Backing up treo600/Texter_HsCh_appl_a68k.prc
Backing up treo600/DefaultApps_HsDH_panl_a68k.prc
Backing up treo600/Display_HsDs_panl_a68k.prc
Backing up treo600/HandangoLauncher_HsHL_appl_a68k.prc
Backing up treo600/Keyguard_HsKg_panl_a68k.prc
Backing up treo600/Phone_HsPh_appl_a68k.prc
Backing up treo600/Calculator_HsPr_appl_a68k.prc
Backing up treo600/Sound_HsRN_panl_a68k.prc
Backing up treo600/HSTraceDatabaseHead.pdb
Backing up treo600/HSTraceDatabase.pdb
Backing up treo600/IOTA_Iota_appl_a68k.prc
Backing up treo600/TrioDB2.pdb
Backing up treo600/TrioDB1.pdb
Backing up treo600/Get BC_S7DL_appl_a68k.prc
Backing up treo600/SMS Msg Database.pdb
Backing up treo600/SMS QuickText.pdb
Backing up treo600/SMS Special Addresses.pdb
Backing up treo600/PACE Data Store Reserve.prc
Backing up treo600/Web URL Autofill.pdb
Backing up treo600/Camera CompAddress.pdb
Backing up treo600/SMS Addresses.pdb
Backing up treo600/Address Book_addr_appl_a68k.prc
Backing up treo600/Bookmarks.pdb
Backing up treo600/PhoneCallDB.pdb
Backing up treo600/Card Info_cinf_appl_a68k.prc
Backing up treo600/AddressCitiesDB.pdb
Backing up treo600/AddressCompaniesDB.pdb
Backing up treo600/AddressCountriesDB.pdb
Backing up treo600/Web Cookies.pdb
Backing up treo600/Date Book_date_appl_a68k.prc
Backing up treo600/Digitizer_digi_panl_a68k.prc
Backing up treo600/Camera CompDomain.pdb
Backing up treo600/SMS Domains.pdb
Backing up treo600/Date & Time_dttm_panl_a68k.prc
Backing up treo600/PhoneFavoritesDB.pdb
Backing up treo600/Web Find Autofill.pdb
Backing up treo600/Formats_frmt_panl_a68k.prc
Backing up treo600/General_gnrl_panl_a68k.prc
Backing up treo600/ImageLib_imageDB.pdb
Backing up treo600/ImageLib_mainDB.pdb
Backing up treo600/Launcher_lnch_appl_a68k.prc
Backing up treo600/psysLaunchDB.pdb
Backing up treo600/Graffiti ShortCuts.prc
Backing up treo600/Memo Pad_memo_appl_a68k.prc
Backing up treo600/Connection_modm_panl_a68k.prc
Backing up treo600/Network_netw_panl_a68k.prc
Backing up treo600/Owner_ownr_panl_a68k.prc
Backing up treo600/Preferences_pref_appl_a68k.prc
== Skipping 'Unsaved Preferences'
Backing up treo600/HsSysResource68K.prc
Backing up treo600/Net Prefs.prc
Backing up treo600/Security_secr_appl_a68k.prc
Backing up treo600/Welcome_setp_appl_a68k.prc
Backing up treo600/ShortCuts_shct_panl_a68k.prc
Backing up treo600/MIDI Ring Tones.pdb
Backing up treo600/System MIDI Sounds.pdb
Backing up treo600/Saved Preferences.prc
Backing up treo600/AddressStatesDB.pdb
Backing up treo600/AddressTitlesDB.pdb
Backing up treo600/To Do List_todo_appl_a68k.prc
 
RAM backup complete.
Time elapsed: 0:03:49
[dkelson@mentor dkelson]$

Note You need to log in before you can comment on or make changes to this bug.